#!/bin/perl
#################################################################################
# Created       : Martin Foster
# Modified      : 03/04/2002
#################################################################################
#
# Bio - Script part of Webchat designed to show a puppets bio 
# Copyright (C) 2000-2002  Martin Foster
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# Author of this script can be contacted at the following:
#       E-Mail  : martin@ethereal-realms.org
#       Address : 204 - 817, 5th Street NE
#                 Calgary, Alberta
#                 T2E 3W9
#
#################################################################################

use CGI qw(:standard);						# Common gateway interface
use CGI::Carp qw(fatalsToBrowser);				# CGI Error logs
use strict;							# Strict variable enforcement

use Ethereal::Database;						# Database handler
use Ethereal::Param;						# Parameter control


#################################################################################
# Data Members
#################################################################################
my $cgi;							# Common gateway interface handle
my $database;							# Database handle
my $param;							# Parameter handle

my $url;							# Link
my $bio;							# Bio Link

my $Statement;							# Statement


#################################################################################
# Program Area
#################################################################################

	# Initial handles
	$cgi      = new CGI;
	$database = new Ethereal::Database();
	$param    = new Ethereal::Param();

	# Connect and Fetch
	$database->Connect();
	$param->GetParam($cgi);


	# Bio
	($bio) = $database->DataGet("SELECT PuppetBio
		FROM  Puppet
		WHERE PuppetName=?
		  AND PuppeteerLogin=?", 
	
	 $param->{'CHAR'},
	 $param->{'USER'});


	# Retreive URLs
	($url) = $cgi->url();
	($url) = ($url =~ /^(http:\/\/.*?\/)/);

	# Determin which to use
	$bio = (defined($bio)) ? $bio : $url;

	# Redirect to URL
	print $cgi->redirect($bio);				# File header
